#pubsmarker:rpolycor_start
rpolycor<- function(vars,maxcor=0.9999){
library(polycor)
x <- vars[[1]]
y <- vars[[2]]

# Get the data from the active dataset and run the analysis
data <- spssdata.GetDataFromSPSS(variables=c(x,y),missingValueToNA=TRUE)
result <- polychor(data[[x]],data[[y]],maxcor=maxcor)

# Create output to display the result in the Viewer
spsspkg.StartProcedure("Polychoric Correlation")
spsspivottable.Display(result,title="Correlation",
                       rowlabels=c(x),
                       collabels=c(y),
                       format=formatSpec.Correlation)
spsspkg.EndProcedure()
}
#pubsmarker:rpolycor_end

#pubsmarker:run_start
Run<-function(args){
    args <- args[[2]]
    oobj<-spsspkg.Syntax(templ=list(
             spsspkg.Template(kwd="VARIABLES",subc="",ktype="existingvarlist",
                              var="vars",islist=TRUE),
             spsspkg.Template(kwd="MAXCOR",subc="OPTIONS",ktype="float",var="maxcor")
             ))
    res <- spsspkg.processcmd(oobj,args,"rpolycor")
}
#pubsmarker:run_end